# reindex

version v2.8.1-42-g260c0d1

## NAME

reindex - Rebuild the secondary index

## SYNOPSIS

    'java' -jar gerrit.war 'reindex' [<OPTIONS>]

## DESCRIPTION

Rebuilds the secondary index.

## OPTIONS

--threads

  Number of threads to use for indexing.

--schema-version

  Schema version to reindex; default is most recent version.

--output

  Prefix for output; path for local disk index, or prefix for remote index.

--verbose

  Output debug information for each change.

--dry-run

  Dry run. Don’t write anything to index.

## CONTEXT

The secondary index must be enabled. See index.type.

Part of Gerrit Code Review